> ## Documentation Index
> Fetch the complete documentation index at: https://developers.yara.cash/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an end customer

> Returns one customer owned by the authenticated merchant.



## OpenAPI

````yaml /openapi.json get /v1/customers/{customer_id}
openapi: 3.0.3
info:
  contact:
    email: support@yara.cash
    name: Yara API Support
  description: >-
    Merchant-facing wallets/address-as-a-service API for creating merchant
    receive addresses, inspecting balances, quoting transfers, and initiating
    payouts to whitelisted recipients.

    Public endpoints are for external integrators. Dashboard endpoints are
    gateway-to-environment surfaces protected by the external API gateway.
    Internal endpoints are platform/system surfaces protected by an internal
    token.
  license:
    name: Proprietary
  title: Yara External API - Public API
  version: '1.0'
servers:
  - url: https://api.yara.cash
security: []
paths:
  /v1/customers/{customer_id}:
    get:
      tags:
        - public.customers
      summary: Get an end customer
      description: Returns one customer owned by the authenticated merchant.
      parameters:
        - description: Customer ID
          in: path
          name: customer_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CustomerResponse:
      properties:
        data:
          $ref: '#/components/schemas/model.CustomerAPIResponse'
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
      type: object
    model.CustomerAPIResponse:
      properties:
        business_name:
          type: string
        capabilities:
          additionalProperties:
            type: string
          type: object
        created_at:
          type: string
        email:
          type: string
        external_reference:
          type: string
        first_name:
          type: string
        id:
          type: string
        last_name:
          type: string
        rejection_reasons:
          items:
            type: string
          type: array
        status:
          $ref: >-
            #/components/schemas/github_com_yaracash_yara-api_internal_customer_model.Status
        tier_1_complete:
          type: boolean
        tier_2_complete:
          type: boolean
        type:
          $ref: >-
            #/components/schemas/github_com_yaracash_yara-api_internal_customer_model.Type
        updated_at:
          type: string
      type: object
    ErrorBody:
      properties:
        code:
          example: validation_error
          type: string
        message:
          example: invalid JSON body
          type: string
      type: object
    github_com_yaracash_yara-api_internal_customer_model.Status:
      enum:
        - PROVISIONING
        - CREATED
        - TIER_1_PENDING
        - TIER_1_COMPLETE
        - TIER_2_PENDING
        - VERIFIED
        - REJECTED
        - REQUIRES_REVIEW
        - SUSPENDED
      type: string
      x-enum-varnames:
        - StatusProvisioning
        - StatusCreated
        - StatusTier1Pending
        - StatusTier1Complete
        - StatusTier2Pending
        - StatusVerified
        - StatusRejected
        - StatusRequiresReview
        - StatusSuspended
    github_com_yaracash_yara-api_internal_customer_model.Type:
      enum:
        - INDIVIDUAL
        - BUSINESS
      type: string
      x-enum-varnames:
        - TypeIndividual
        - TypeBusiness
  securitySchemes:
    ApiKeyAuth:
      description: 'Public merchant API key. You can also send Authorization: ApiKey <key>.'
      in: header
      name: X-Yara-API-Key
      type: apiKey

````